Beta

Update Schedule

PATCHhttps://api.youvico.com/api/project-schedules/:id
Rate Limit
Default
Project Role
OwnerManagerMember

Updates a project schedule. Only the fields you send change.

Example

curl -X PATCH 'https://api.youvico.com/api/project-schedules/5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "endDate": "2026-06-02", "endTime": "12:00", "color": "RED" }'
Request
curl -X PATCH 'https://api.youvico.com/api/project-schedules/5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"endDate": "2026-06-02",
"endTime": "12:00",
"color": "RED"
}'
Response204 No Content

Request

Path

idstringrequired
Schedule ID

Body

namestring

1-255 characters

Schedule name
descriptionstring?

1-1000 characters

Schedule description. null to clear
startDatestring
Start date. YYYY-MM-DD
startTimestring?
Start time. HH:mm, null for an all-day schedule
endDatestring?
End date. YYYY-MM-DD, null when it ends on the start date

Example: 2026-06-02

endTimestring?
End time. HH:mm, or null

Example: 12:00

colorstring
Schedule color

Possible values: NONEREDORANGEYELLOWGREENBLUEPURPLEPINKGRAY

Example: RED

Note

After the fields you send are applied to the schedule, its dates and times must satisfy all of the following:

  • If startTime is null, endTime must also be null.
  • If startTime and endDate are set, endTime must also be set.
  • endDate must be later than startDate. For a schedule that ends on its start date, send endDate as null and set only endTime.
  • The end must be later than the start.

Response

Returns 204 No Content.